Bug 11436 - [PATCH] Proper linking of xmms-eff-normalize
: [PATCH] Proper linking of xmms-eff-normalize
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms-eff-normalize)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-10 02:28 by
Modified: 2008-01-24 15:57 (History)


Attachments
Patch (434 bytes, patch)
2007-04-10 02:28, Igor Zubkov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-10 02:28:32
Before:
[icesik@iceberg Effect]$ ldd  /usr/lib/xmms/Effect/libnormvol.so
        linux-gate.so.1 =>  (0xffffe000)
        libc.so.6 => /lib/libc.so.6 (0xb7e1c000)
        /lib/ld-linux.so.2 (0x80000000)
[icesik@iceberg Effect]$ ldd -u -r /usr/lib/xmms/Effect/libnormvol.so
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_destroy (continued)
undefined symbol: gtk_widget_destroy    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_unref (continued)
undefined symbol: gtk_widget_unref      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: g_free (continued)
undefined symbol: g_free        (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: sqrt (continued)
undefined symbol: sqrt  (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_box_get_type (continued)
undefined symbol: gtk_box_get_type      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_scale_set_digits (continued)
undefined symbol: gtk_scale_set_digits  (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_pixmap_new (continued)
undefined symbol: gtk_pixmap_new        (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_ref (continued)
undefined symbol: gtk_widget_ref        (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_scale_get_type (continued)
undefined symbol: gtk_scale_get_type    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: xmms_remote_get_playlist_time (continued)
undefined symbol: xmms_remote_get_playlist_time (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: xmms_cfg_write_double (continued)
undefined symbol: xmms_cfg_write_double (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_label_new (continued)
undefined symbol: gtk_label_new (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_type_check_object_cast (continued)
undefined symbol: gtk_type_check_object_cast    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_vbox_new (continued)
undefined symbol: gtk_vbox_new  (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_type_is_a (continued)
undefined symbol: gtk_type_is_a (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: g_strdup (continued)
undefined symbol: g_strdup      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_get_type (continued)
undefined symbol: gtk_widget_get_type   (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_notebook_get_nth_page (continued)
undefined symbol: gtk_notebook_get_nth_page     (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_notebook_new (continued)
undefined symbol: gtk_notebook_new      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_dialog_get_type (continued)
undefined symbol: gtk_dialog_get_type   (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_window_set_policy (continued)
undefined symbol: gtk_window_set_policy (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: g_malloc (continued)
undefined symbol: g_malloc      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_menu_get_type (continued)
undefined symbol: gtk_menu_get_type     (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_adjustment_set_value (continued)
undefined symbol: gtk_adjustment_set_value      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_get_colormap (continued)
undefined symbol: gtk_widget_get_colormap       (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gdk_bitmap_unref (continued)
undefined symbol: gdk_bitmap_unref      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_range_get_type (continued)
undefined symbol: gtk_range_get_type    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: xmms_cfg_read_double (continued)
undefined symbol: xmms_cfg_read_double  (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_container_get_type (continued)
undefined symbol: gtk_container_get_type        (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_signal_connect_object (continued)
undefined symbol: gtk_signal_connect_object     (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_notebook_set_tab_hborder (continued)
undefined symbol: gtk_notebook_set_tab_hborder  (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_menu_get_attach_widget (continued)
undefined symbol: gtk_menu_get_attach_widget    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: xmms_cfg_read_boolean (continued)
undefined symbol: xmms_cfg_read_boolean (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_window_set_title (continued)
undefined symbol: gtk_window_set_title  (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_adjustment_get_type (continued)
undefined symbol: gtk_adjustment_get_type       (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_window_get_type (continued)
undefined symbol: gtk_window_get_type   (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gdk_pixmap_colormap_create_from_xpm (continued)
undefined symbol: gdk_pixmap_colormap_create_from_xpm  
(/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_object_set_data (continued)
undefined symbol: gtk_object_set_data   (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_signal_connect (continued)
undefined symbol: gtk_signal_connect    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_set_usize (continued)
undefined symbol: gtk_widget_set_usize  (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_hide (continued)
undefined symbol: gtk_widget_hide       (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gdk_pixmap_colormap_create_from_xpm_d (continued)
undefined symbol: gdk_pixmap_colormap_create_from_xpm_d
(/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_dialog_new (continued)
undefined symbol: gtk_dialog_new        (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_adjustment_new (continued)
undefined symbol: gtk_adjustment_new    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_check_button_new_with_label (continued)
undefined symbol: gtk_check_button_new_with_label      
(/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_object_set_data_full (continued)
undefined symbol: gtk_object_set_data_full      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: xmms_remote_get_playlist_pos (continued)
undefined symbol: xmms_remote_get_playlist_pos  (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_grab_focus (continued)
undefined symbol: gtk_widget_grab_focus (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_show (continued)
undefined symbol: gtk_widget_show       (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_object_get_data (continued)
undefined symbol: gtk_object_get_data   (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_container_add (continued)
undefined symbol: gtk_container_add     (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gdk_pixmap_unref (continued)
undefined symbol: gdk_pixmap_unref      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_toggle_button_set_active (continued)
undefined symbol: gtk_toggle_button_set_active  (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_toggle_button_get_type (continued)
undefined symbol: gtk_toggle_button_get_type    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: g_malloc0 (continued)
undefined symbol: g_malloc0     (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_box_pack_start (continued)
undefined symbol: gtk_box_pack_start    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: g_list_prepend (continued)
undefined symbol: g_list_prepend        (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_widget_set_name (continued)
undefined symbol: gtk_widget_set_name   (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: xmms_cfg_free (continued)
undefined symbol: xmms_cfg_free (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: xmms_cfg_write_boolean (continued)
undefined symbol: xmms_cfg_write_boolean        (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_button_new_with_label (continued)
undefined symbol: gtk_button_new_with_label     (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_notebook_get_type (continued)
undefined symbol: gtk_notebook_get_type (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_range_set_update_policy (continued)
undefined symbol: gtk_range_set_update_policy   (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_window_set_wmclass (continued)
undefined symbol: gtk_window_set_wmclass        (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: xmms_cfg_open_default_file (continued)
undefined symbol: xmms_cfg_open_default_file    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_range_get_adjustment (continued)
undefined symbol: gtk_range_get_adjustment      (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: g_log (continued)
undefined symbol: g_log (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_container_set_border_width (continued)
undefined symbol: gtk_container_set_border_width       
(/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_notebook_set_tab_label (continued)
undefined symbol: gtk_notebook_set_tab_label    (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: gtk_hscale_new (continued)
undefined symbol: gtk_hscale_new        (/usr/lib/xmms/Effect/libnormvol.so)
      5738:     /usr/lib/xmms/Effect/libnormvol.so: error: symbol lookup error:
undefined symbol: xmms_cfg_write_default_file (continued)
undefined symbol: xmms_cfg_write_default_file   (/usr/lib/xmms/Effect/libnormvol.so)
Unused direct dependencies:

[icesik@iceberg Effect]$ 

After must be:

[icesik@iceberg .libs]$ ldd libnormvol.so
        linux-gate.so.1 =>  (0xffffe000)
        libgtk-1.2.so.0 => /usr/lib/libgtk-1.2.so.0 (0xb7e01000)
        libxmms.so.1 => /usr/lib/libxmms.so.1 (0xb7dec000)
        libc.so.6 => /lib/libc.so.6 (0xb7cc6000)
        libgmodule-1.2.so.0 => /lib/libgmodule-1.2.so.0 (0xb7cc3000)
        libglib-1.2.so.0 => /lib/libglib-1.2.so.0 (0xb7c9d000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb7bb5000)
        libm.so.6 => /lib/libm.so.6 (0xb7b8e000)
        libgdk-1.2.so.0 => /usr/lib/libgdk-1.2.so.0 (0xb7b56000)
        librccgtk.so.0 => /usr/lib/librccgtk.so.0 (0xb7b4d000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7b37000)
        /lib/ld-linux.so.2 (0x80000000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7b33000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb7b2f000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb7b2a000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb7b22000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb7b14000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb79f9000)
        librcc.so.0 => /usr/lib/librcc.so.0 (0xb79e1000)
        libz.so.1 => /lib/libz.so.1 (0xb79cd000)
        librcd.so.0 => /usr/lib/librcd.so.0 (0xb799a000)
        libenca.so.0 => /usr/lib/libenca.so.0 (0xb7974000)
        libdb-4.4.so => /lib/libdb-4.4.so (0xb7895000)
        libaspell.so.15 => /usr/lib/libaspell.so.15 (0xb77e3000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb76fc000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb76f1000)
[icesik@iceberg .libs]$ ldd -u -r libnormvol.so
Unused direct dependencies:

[icesik@iceberg .libs]$
------- Comment #1 From 2007-04-10 02:28:52 -------
Created an attachment (id=1898) [details]
Patch
------- Comment #2 From 2007-11-17 22:22:40 -------
Fixed in 0.8.3-alt2.1